<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart" class="fuenteMini">

        <h:form id="idFormCMMyT">
            <style>
                .jpanel{

                    border: 1px solid #d4ccb0;
                    background-color: #ece8da;
                    border-radius: 10px;
                }

                .jpanel thead tr th{

                    background-color: #459e00;
                    color: #fff;
                    border: 1px solid #327e04;
                    border-radius: 10px 10px 0 0 !important;
                }

                .jpanel tbody tr td{

                    background-color: #f5f3e5;
                    font-weight: bolder;
                }

                .jpanel tbody tr:last-child td:first-child{

                    border-radius: 0 0 0 10px;
                }

                .jpanel tbody tr:last-child td:last-child{

                    border-radius: 0 0 10px 0;
                }
            </style>           
            
            <h:outputText value="RH -> Manuales y Terceros -> Carga Masiva" style="font-weight: bold"/>
                 <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
                  <h:outputText value="Carga Masiva Manuales y Terceros" />
            <br/><br/>


            <div align="center">
                <p:fileUpload 
                    rendered="#{rhNomnCargaMasivaMyTMB.flagDetalle == false and rhNomnCargaMasivaMyTMB.flagDetAcept == false}"
                    mode="advanced"
                    auto="true"                    
                    id="idArchivo"
                    class="upload"
                    style="width: 30%; margin-top: 10px; margin-bottom: 10px;"
                    fileUploadListener="#{rhNomnCargaMasivaMyTMB.handleFileUpload}"
                    label="Seleccionar Archivo"
                    update="idFormCMMyT idTblDetEmps tblConceptos pnlMsjErr"
                    invalidFileMessage="El archivo no es valido"
                    process="@this"
                    allowTypes="/(\.|\/)(xls|xlsx)$/"/>
            </div>

            <br/>
            
            
            <!-- M E N S A J E   D E   E R R O R -->
            <h:panelGrid id="pnlMsjErr" columns="1" cellpadding="5" columnClasses="centered7"
                         style="font-size: 100%;width: 80%;padding-left: 90px" rendered="#{rhNomnCargaMasivaMyTMB.flagShowInpTxtArea}">
                <p >Errores en estructura del archivo:</p>
                <p:inputTextarea disabled="true" value="#{rhNomnCargaMasivaMyTMB.strMsjErrCampos}"  cols="129" rows="11" />
            </h:panelGrid>
            
           
            <!-- D E T A L L E   C A R G A  E X C E L -->
            
            <h:panelGrid columnClasses="centered7" columns="1" cellpadding="5" style="width: 90%;padding-left: 90px">
                <p:dataTable 
                    rendered="#{rhNomnCargaMasivaMyTMB.flagShowTbl}"
                   id="tblConceptos" 
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 
                    value  = "#{rhNomnCargaMasivaMyTMB.lstConceptoMyT}"                    
                    scrollable="true" scrollWidth="99%"
                    rowsPerPageTemplate="5,10,15"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                    currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                    paginatorPosition="bottom" rows="5"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                >

                <f:facet name="header">
                        <h:outputText styleClass="header-table" value="CONCEPTOS LEÍDOS" />
                </f:facet>
          
                <p:column 
                    filterBy="#{var.claveConcepto}"                   
                    filterMatchMode="contains"
                    
                    headerText="CONCEPTO" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idConc" value="#{var.claveConcepto}" />
                </p:column>
                    
                <p:column                     
                    headerText="REGISTROS LEÍDOS" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idConcL" value="#{var.cntTotales}" />
                </p:column>
                    
                <p:column                     
                    headerText="REGISTROS ACEPTADOS" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idConcA" value="#{var.cntAceptado}" />
                </p:column>
                    
                <p:column                     
                    headerText="REGISTROS RECHAZADOS" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idConcR" value="#{var.cntRechazado}" />
                </p:column>                                                                         
            </p:dataTable>
            </h:panelGrid>
                <br/>
            <h:panelGroup rendered="#{rhNomnCargaMasivaMyTMB.flagShowTbl}">
                <div align="right" style="padding-right: 105px">
                    <p:commandButton id="detalleAcept"                            
                            value="Procesar Aceptados"
                            style="font-size: 70%"
                            >
                        <p:ajax listener="#{rhNomnCargaMasivaMyTMB.procesarAceptados()}" 
                               process="@this" immediate="true" update="@(form) "   />

                   </p:commandButton>
                <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                    <p:commandButton id="iddetalleAcept"                            
                            value="Aceptados"
                            rendered="false"
                            style="font-size: 70%"
                            >
                        <p:ajax listener="#{rhNomnCargaMasivaMyTMB.prepareDetEmpsAcep()}" 
                               process="@this" immediate="true" update=" @(form) "   />

                   </p:commandButton>
                <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                    <p:commandButton id="detalleRegistros"                            
                            value="Detalle Rechazados"
                            style="font-size: 70%"
                            >
                        <p:ajax listener="#{rhNomnCargaMasivaMyTMB.prepareDetEmps()}" 
                               process="@this" immediate="true" update=" @(form) "   />

                   </p:commandButton>
                <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                     <p:commandButton
                        value="Cancelar"
                        style="float: right;font-size: 70%"
                        actionListener="#{rhNomnCargaMasivaMyTMB.cerrar()}"

                        >

                    </p:commandButton>
                    
                    
            </div>
            </h:panelGroup>
    <!-- D E T A L L E   R E C H A Z A D O S -->   
        
    <h:panelGrid columnClasses="centered7" columns="1" cellpadding="5">
            <p:dataTable  id="idTblDetEmps" 
                    rendered="#{rhNomnCargaMasivaMyTMB.flagDetalle}"
                    
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 

                    value  = "#{rhNomnCargaMasivaMyTMB.lstRechazados}"
                    style="font-size: small"
                    scrollable="true" scrollWidth="99%"
                    rowsPerPageTemplate="5,10,15"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {Exporters}"
                    currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                    paginatorPosition="bottom" rows="5"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                >
                              
                <f:facet name="{Exporters}">
                        <h:commandLink id="excel" style="text-align: right" title="Descarga de registros en archivo Excel">
                            <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                            <p:dataExporter type="xls" target="idTblDetEmps" fileName="Rechazados"
                                             />
                        </h:commandLink>
                </f:facet>
                <f:facet name="header"  >
                                    <h:outputText styleClass="header-table" value="REGISTROS RECHAZADOS" />
                </f:facet>
                                    
                <p:column 
                    filterBy="#{var.intID_EMPLEADO}"                   
                    filterMatchMode="contains"
                    
                    headerText="Número de empleado" style="font-size: 70%;">
                    <h:outputText  id="idIdEmp" value="#{var.intID_EMPLEADO}" />
                </p:column>
                   
                <p:column     
                     filterBy="#{var.strCLAVE_CONCEPTO}"                   
                    filterMatchMode="contains"
                    
                    headerText="Clave Concepto" style="font-size: 70%; ">
                    <h:outputText  id="idCveConc" value="#{var.strCLAVE_CONCEPTO}" />
                </p:column>
                    
                <p:column                     
                    headerText="Fecha Inicio"  style="font-size: 70%; width: 7%">
                    <h:outputText  id="idFI" value="#{var.dtFECHA_INICIO}"  >
                    <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>
                
                <p:column                     
                    headerText="Fecha Fin" style="font-size: 70%;width: 7% ">
                    <h:outputText  id="idFF" value="#{var.dtFECHA_FIN}" >
                    <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>
                    
                <p:column                     
                    headerText="Porcentaje" style="font-size: 70%; width: 7%">
                    <h:outputText  id="idPorc" value="#{var.dblPORCENTAJE}" />
                </p:column>
                
                
                <p:column                     
                    headerText="Importe" style="font-size: 70%; width: 7%">
                    <h:outputText  id="idimpte" value="#{var.dblIMPORTE}" />
                </p:column>
                
                <p:column                     
                    headerText="Cant. Faltas" style="font-size: 70%; width: 7%">
                    <h:outputText  id="idCantF" value="#{var.dblCANTIDAD}" />
                </p:column>
                
                <p:column                     
                    headerText="Comentarios" style="font-size: 70%; ">
                    <h:outputText  id="idCments" value="#{var.strCOMENTARIOS}" />
                </p:column>
                
                <p:column                     
                    headerText="Motivo Rechazo" style="font-size: 70%; ">
                    <h:outputText  id="idMtivoRs" value="#{var.strMSJ_ERROR}" />
                </p:column>

            </p:dataTable>        
    </h:panelGrid>
    <h:panelGroup rendered="#{rhNomnCargaMasivaMyTMB.flagDetalle}">
            <div align="right" >               
                <p:commandButton id="btnReturn" style="font-size: 70%"                           
                            value="REGRESAR">
                        <p:ajax listener="#{rhNomnCargaMasivaMyTMB.returnCarga()}" 
                        process="@this" immediate="true" update="@(form) "   />
            </p:commandButton>                                                      
                </div>
            </h:panelGroup>
        <!-- D E T A L L E   A C E P T A D O S -->      
                
             <p:dataTable  id="idTblDetEmpsAcep" 
                    rendered="#{rhNomnCargaMasivaMyTMB.flagDetAcept}"
                    
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 

                    value  = "#{rhNomnCargaMasivaMyTMB.lstAceptados}"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                    {PageLinks} {NextPageLink} {LastPageLink}"
                    scrollable="true" scrollWidth="99%"
                    currentPageReportTemplate="#{msg['inai.medios.common.registroText']} 
                    {startRecord}-{endRecord}  #{msg['inai.medios.common.deText']} 
                    {totalRecords}             #{msg['inai.medios.common.disponiblesText']}"
                    paginatorPosition="bottom" rows="20"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                >

                <f:facet name="header">
                        <h:outputText styleClass="header-table" value="REGISTROS ACEPTADOS" />
                </f:facet>
                    
                <f:facet name="footer">
                    <p:commandButton id="btnReturn"                            
                            value="REGRESAR"
                            >

                        <p:ajax listener="#{rhNomnCargaMasivaMyTMB.returnCarga()}" 
                        process="@this" immediate="true" update="@(form) "   />

            </p:commandButton>
                    
                    
                </f:facet>

                <p:column 
                    filterBy="#{var.claveConcepto}"                   
                    filterMatchMode="contains"
                    
                    headerText="Número de empleado" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idIdEmp" value="#{var.intID_EMPLEADO}" />
                </p:column>
                   
                <p:column                     
                    headerText="Clave Concepto" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idCveConc" value="#{var.strCLAVE_CONCEPTO}" />
                </p:column>
                    
                <p:column                     
                    headerText="Fecha Inicio" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idFI" value="#{var.dtFECHA_INICIO}" />
                </p:column>
                
                <p:column                     
                    headerText="Fecha Fin" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idFF" value="#{var.dtFECHA_FIN}" />
                </p:column>
                    
                <p:column                     
                    headerText="Porcentaje" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idPorc" value="#{var.dblPORCENTAJE}" />
                </p:column>
                
                
                <p:column                     
                    headerText="Importe" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idimpte" value="#{var.dblIMPORTE}" />
                </p:column>
                
                <p:column                     
                    headerText="Cant. Faltas" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idCantF" value="#{var.dblCANTIDAD}" />
                </p:column>
                
                <p:column                     
                    headerText="Comentarios" style="font-size: 70%; text-align: center">
                    <h:outputText  id="idCments" value="#{var.strCOMENTARIOS}" />
                </p:column>
              

            </p:dataTable>

            

        </h:form>



    </ui:define>
</ui:composition>